Bug 293 - mkfontscale does not handle filenames containing spaces
Summary: mkfontscale does not handle filenames containing spaces
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/mkfont* (show other bugs)
Version: unspecified
Hardware: All All
: low normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard: 2011BRB_Reviewed
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-09 14:33 UTC by Mike A. Harris
Modified: 2018-08-10 20:37 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Mike A. Harris 2004-03-09 14:33:07 UTC
mkfontscale, mkfontdir, and the entire rest of X does not allow files
with spaces in the names.  Wether this is intentional, or a documented
part of the standard, or if it is just a long standing bug or misfeature
however, I'm not quite sure.

My guess is it is a long time bug nobody has cared to fix throughout the
X sources, but I've never bothered to ask anyone who knows for sure, and
I haven't cared enough to bother looking at the relevant code to try and
determine it on my own.

Problem is described in more detail in XFree86 bugzilla at:

    http://bugs.xfree86.org/show_bug.cgi?id=296


XFree86.org has closed the issue as WONTFIX, however, while fixing this is
definitely not of major high priority, it is worthwhile to have it tracked in
bugzilla until someone does actually fix it, rather than just pretending
the problem does not exist.

As such, I'm assigning this to myself for the time being, but with no intent
on investigating it right away, but I will at some point in time.  In the mean
time, if someone else feels like fixing it, feel free.

Just don't close it WONTFIX to ignore the issue please.  This is a personal
tracker item.
Comment 1 Mike A. Harris 2004-03-09 14:34:31 UTC
 ------- Additional Comment #2 From Juliusz Chroboczek  2003-05-30 07:02 
[reply] -------

As far as I can see, there are three places where there are problems with spaces
in the core fonts system:

  1. the parser in lib/font/dirfile.c, where scanf(%s) is used;
  2. both the fonts.scale parser and the fonts.dir printer in mkfontdir;
  3. the printer in mkfontscale.

Comment 2 Mike A. Harris 2004-03-09 14:35:15 UTC
 ------- Additional Comment #4 From Mike A. Harris  2003-05-30 19:04  [reply]
-------

I've logged this in our bugzilla also, to kick me in the pants:

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=92005

When this comes up my priority list, I'll attach a patch here once it is tested
well in the wild.


------- Additional Comment #5 From Juliusz Chroboczek 2003-06-02 13:05 [reply]
-------

The fonts.dir format is not standardised in any way, feel free to extend it to
deal with spaces in font names.  Document your changes in the mkfontdir man
page. I suggest stealing the quoting code from the fonts.alias parser.

Comment 3 Chris Lee 2005-07-06 20:19:52 UTC
Reassigning to mharris, since it looks like he wanted this on his list 
originally and it seems to have somehow gotten lost. 
Comment 4 Daniel Stone 2007-02-27 01:23:18 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 5 Brant Gurganus 2009-09-01 06:03:22 UTC
I will shortly have no access to gurganbl@rose-hulman.edu or its aliases brant.gurganus@rose-hulman.edu or brant.l.gurganus@rose-hulman.edu. Please direct future correspondence to brant@gurganus.name.
Comment 6 GitLab Migration User 2018-08-10 20:37:26 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/app/mkfontscale/issues/1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.